commit: 959193878972c00effb34d93af332751e051474a
Author: Luis Ressel <aranea <AT> aixah <DOT> de>
AuthorDate: Thu Oct 15 17:02:11 2015 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 11:35:54 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95919387
games-roguelike/nethack: Don't install dot.nethackrc to HACKDIR
It's only a default config file to be used by users, there's another
copy in /etc/skel, and there's an elog message to point users to the
version in /etc/skel, so we really don't need this in $HACKDIR.
games-roguelike/nethack/nethack-3.4.3-r5.ebuild | 12 ++++--------
1 file changed, 4 insertions(+), 8 deletions(-)
diff --git a/games-roguelike/nethack/nethack-3.4.3-r5.ebuild
b/games-roguelike/nethack/nethack-3.4.3-r5.ebuild
index 48ba257..fde14db 100644
--- a/games-roguelike/nethack/nethack-3.4.3-r5.ebuild
+++ b/games-roguelike/nethack/nethack-3.4.3-r5.ebuild
@@ -143,10 +143,8 @@ src_install() {
doman doc/*.6
dodoc doc/*.txt
- # Can be copied to ~/.nethackrc to set options
- # Add this to /etc/.skel as well, thats the place for default configs
- insinto "${HACKDIR}"
- doins "${FILESDIR}/dot.nethackrc"
+ insinto /etc/skel
+ newins "${FILESDIR}/dot.nethackrc" .nethackrc
local windowtypes="tty"
use X && windowtypes="${windowtypes} x11"
@@ -154,10 +152,8 @@ src_install() {
sed -i \
-e "s:GENTOO_WINDOWTYPES:${windowtypes}:" \
-e "s:GENTOO_DEFWINDOWTYPE:$1:" \
- "${D}${HACKDIR}/dot.nethackrc" \
- || die "sed ${HACKDIR}/dot.nethackrc failed"
- insinto /etc/skel
- newins "${D}/${HACKDIR}/dot.nethackrc" .nethackrc
+ "${D}/etc/skel/.nethackrc" \
+ || die "sed /etc/skel/.nethackrc failed"
if use X ; then
# install nethack fonts